## ros-rolling-gazebo-plugins 3.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gazebo_plugins)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic -Wno-inconsistent-missing-override")
endif()

if(WIN32)
  add_compile_definitions(
    # For math constants
    _USE_MATH_DEFINES
    # Minimize Windows namespace collision
    NOMINMAX
    WIN32_LEAN_AND_MEAN
  )
endif()

find_package(ament_cmake REQUIRED)
find_package(camera_info_manager REQUIRED)
find_package(gazebo_dev REQUIRED)
find_package(gazebo_msgs REQUIRED)
find_package(gazebo_ros REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(image_transport REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(trajectory_msgs REQUIRED)

link_directories(${gazebo_dev_LIBRARY_DIRS})

option(ENABLE_PROFILER "Enable Ignition Profiler" FALSE)
if(ENABLE_PROFILER)
  find_package(ignition-common3 QUIET COMPONENTS profiler)
  if(ignition-common3_FOUND)
    add_definitions("-DIGN_PROFILER_ENABLE=1" "-DIGN_PROFILER_REMOTERY=1")
    message(STATUS "Profiler is active")
  else()
    message(WARNING "Can't find Ignition common3. Profiler will not be actived")
    add_definitions("-DIGN_PROFILER_ENABLE=0" "-DIGN_PROFILER_REMOTERY=0")
  endif()
endif()

# gazebo_ros_joint_state_publisher
add_library(gazebo_ros_joint_state_publisher SHARED
  src/gazebo_ros_joint_state_publisher.cpp
)
target_include_directories(gazebo_ros_joint_state_publisher PUBLIC include)
ament_target_dependencies(gazebo_ros_joint_state_publisher
  "gazebo_dev"
  "gazebo_ros"
  "rclcpp"
  "sensor_msgs"
)
ament_export_libraries(gazebo_ros_joint_state_publisher)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_joint_state_publisher PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_joint_state_publisher ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_diff_drive
add_library(gazebo_ros_diff_drive SHARED
  src/gazebo_ros_diff_drive.cpp
)
target_include_directories(gazebo_ros_diff_drive PUBLIC include)
ament_target_dependencies(gazebo_ros_diff_drive
  "gazebo_dev"
  "gazebo_ros"
  "geometry_msgs"
  "nav_msgs"
  "rclcpp"
  "tf2"
  "tf2_geometry_msgs"
  "tf2_ros"
)
ament_export_libraries(gazebo_ros_diff_drive)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_diff_drive PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_diff_drive ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_force
add_library(gazebo_ros_force SHARED
  src/gazebo_ros_force.cpp
)
target_include_directories(gazebo_ros_force PUBLIC include)
ament_target_dependencies(gazebo_ros_force
  "gazebo_dev"
  "gazebo_ros"
  "geometry_msgs"
  "rclcpp"
)
ament_export_libraries(gazebo_ros_force)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_force PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_force ${ignition-common3_LIBRARIES})
endif()
# gazebo_ros_template
add_library(gazebo_ros_template SHARED
  src/gazebo_ros_template.cpp
)
target_include_directories(gazebo_ros_template PUBLIC include)
ament_target_dependencies(gazebo_ros_template
  "gazebo_dev"
  "gazebo_ros"
  "rclcpp"
)
ament_export_libraries(gazebo_ros_template)

# multi_camera_plugin
add_library(multi_camera_plugin SHARED
  src/multi_camera_plugin.cpp
)
target_include_directories(multi_camera_plugin PUBLIC include)
ament_target_dependencies(multi_camera_plugin
  "gazebo_dev"
)
target_link_libraries(multi_camera_plugin
  gazebo_sensors
)
target_compile_definitions(multi_camera_plugin
  PRIVATE BUILDING_DLL
)

# gazebo_ros_camera
add_library(gazebo_ros_camera SHARED
  src/gazebo_ros_camera.cpp
)
target_include_directories(gazebo_ros_camera PUBLIC include)
ament_target_dependencies(gazebo_ros_camera
  "camera_info_manager"
  "gazebo_dev"
  "gazebo_ros"
  "image_transport"
  "rclcpp"
  "sensor_msgs"
  "std_msgs"
)
target_link_libraries(gazebo_ros_camera
  CameraPlugin
  DepthCameraPlugin
  multi_camera_plugin
)
ament_export_libraries(gazebo_ros_camera)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_camera PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_camera ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_imu_sensor
add_library(gazebo_ros_imu_sensor SHARED
  src/gazebo_ros_imu_sensor.cpp
)
target_include_directories(gazebo_ros_imu_sensor PUBLIC include)
ament_target_dependencies(gazebo_ros_imu_sensor
  "gazebo_ros"
  "sensor_msgs"
  "gazebo_dev"
)
target_link_libraries(gazebo_ros_imu_sensor
  ImuSensorPlugin
)
ament_export_libraries(gazebo_ros_imu_sensor)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_imu_sensor PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_imu_sensor ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_gps_sensor
add_library(gazebo_ros_gps_sensor SHARED
  src/gazebo_ros_gps_sensor.cpp
)
target_include_directories(gazebo_ros_gps_sensor PUBLIC include)
ament_target_dependencies(gazebo_ros_gps_sensor
  "gazebo_ros"
  "sensor_msgs"
  "gazebo_dev"
)
ament_export_libraries(gazebo_ros_gps_sensor)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_gps_sensor PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_gps_sensor ${ignition-common3_LIBRARIES})
endif()


# gazebo_ros_ray_sensor
add_library(gazebo_ros_ray_sensor SHARED
  src/gazebo_ros_ray_sensor.cpp
)
target_include_directories(gazebo_ros_ray_sensor PUBLIC include)
ament_target_dependencies(gazebo_ros_ray_sensor
  "gazebo_ros"
  "sensor_msgs"
)
ament_export_libraries(gazebo_ros_ray_sensor)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_ray_sensor PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_ray_sensor ${ignition-common3_LIBRARIES})
endif()

add_library(gazebo_ros_p3d SHARED
  src/gazebo_ros_p3d.cpp
)
target_include_directories(gazebo_ros_p3d PUBLIC include)
ament_target_dependencies(gazebo_ros_p3d
  "gazebo_ros"
  "gazebo_dev"
  "geometry_msgs"
  "nav_msgs"
  "rclcpp"
  "tf2"
  "tf2_geometry_msgs"
  "tf2_ros"
)
ament_export_libraries(gazebo_ros_p3d)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_p3d PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_p3d ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_tricycle_drive
add_library(gazebo_ros_tricycle_drive SHARED
  src/gazebo_ros_tricycle_drive.cpp
)
target_include_directories(gazebo_ros_tricycle_drive PUBLIC include)
ament_target_dependencies(gazebo_ros_tricycle_drive
  "gazebo_ros"
  "geometry_msgs"
  "nav_msgs"
  "rclcpp"
  "sensor_msgs"
  "tf2"
  "tf2_geometry_msgs"
  "tf2_ros"
)
ament_export_libraries(gazebo_ros_tricycle_drive)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_tricycle_drive PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_tricycle_drive ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_video
add_library(gazebo_ros_video SHARED
  src/gazebo_ros_video.cpp
)
target_include_directories(gazebo_ros_video PUBLIC include)
ament_target_dependencies(gazebo_ros_video
  "gazebo_ros"
  "image_transport"
  "sensor_msgs"
  "cv_bridge"
)
ament_export_libraries(gazebo_ros_video)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_video PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_video ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_ft_sensor
add_library(gazebo_ros_ft_sensor SHARED
  src/gazebo_ros_ft_sensor.cpp
)
target_include_directories(gazebo_ros_ft_sensor PUBLIC include)
ament_target_dependencies(gazebo_ros_ft_sensor
  "gazebo_ros"
  "gazebo_dev"
  "rclcpp"
  "geometry_msgs"
)
ament_export_libraries(gazebo_ros_ft_sensor)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_ft_sensor PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_ft_sensor ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_bumper
add_library(gazebo_ros_bumper SHARED
  src/gazebo_ros_bumper.cpp
)
target_include_directories(gazebo_ros_bumper PUBLIC include)
target_link_libraries(gazebo_ros_bumper
  ContactPlugin
)
ament_target_dependencies(gazebo_ros_bumper
  "gazebo_ros"
  "gazebo_msgs"
  "geometry_msgs"
)
ament_export_libraries(gazebo_ros_bumper)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_bumper PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_bumper ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_harness
add_library(gazebo_ros_harness SHARED
  src/gazebo_ros_harness.cpp
)
target_include_directories(gazebo_ros_harness PUBLIC include)
ament_target_dependencies(gazebo_ros_harness
  "gazebo_dev"
  "gazebo_ros"
  "rclcpp"
  "std_msgs"
)
target_link_libraries(gazebo_ros_harness
  HarnessPlugin
)
ament_export_libraries(gazebo_ros_harness)

# gazebo_ros_hand_of_god
add_library(gazebo_ros_hand_of_god SHARED
  src/gazebo_ros_hand_of_god.cpp
)
target_include_directories(gazebo_ros_hand_of_god PUBLIC include)
ament_target_dependencies(gazebo_ros_hand_of_god
  "gazebo_ros"
  "gazebo_dev"
  "rclcpp"
  "tf2"
  "tf2_geometry_msgs"
  "tf2_ros"
)
ament_export_libraries(gazebo_ros_hand_of_god)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_hand_of_god PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_hand_of_god ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_ackermann_drive
add_library(gazebo_ros_ackermann_drive SHARED
  src/gazebo_ros_ackermann_drive.cpp
)
target_include_directories(gazebo_ros_ackermann_drive PUBLIC include)
ament_target_dependencies(gazebo_ros_ackermann_drive
  "gazebo_dev"
  "gazebo_ros"
  "geometry_msgs"
  "nav_msgs"
  "rclcpp"
  "tf2"
  "tf2_geometry_msgs"
  "tf2_ros"
)
ament_export_libraries(gazebo_ros_ackermann_drive)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_ackermann_drive PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_ackermann_drive ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_elevator
add_library(gazebo_ros_elevator SHARED
  src/gazebo_ros_elevator.cpp
)
target_include_directories(gazebo_ros_elevator PUBLIC include)
ament_target_dependencies(gazebo_ros_elevator
  "gazebo_ros"
  "gazebo_dev"
  "rclcpp"
  "std_msgs"
)
target_link_libraries(gazebo_ros_elevator
  ElevatorPlugin
)
ament_export_libraries(gazebo_ros_elevator)

# gazebo_ros_vacuum_gripper
add_library(gazebo_ros_vacuum_gripper SHARED
  src/gazebo_ros_vacuum_gripper.cpp
)
target_include_directories(gazebo_ros_vacuum_gripper PUBLIC include)
ament_target_dependencies(gazebo_ros_vacuum_gripper
  "gazebo_ros"
  "gazebo_dev"
  "rclcpp"
  "std_msgs"
  "std_srvs"
)
ament_export_libraries(gazebo_ros_vacuum_gripper)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_vacuum_gripper PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_vacuum_gripper ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_joint_pose_trajectory
add_library(gazebo_ros_joint_pose_trajectory SHARED
  src/gazebo_ros_joint_pose_trajectory.cpp
)
target_include_directories(gazebo_ros_joint_pose_trajectory PUBLIC include)
ament_target_dependencies(gazebo_ros_joint_pose_trajectory
  "gazebo_dev"
  "gazebo_ros"
  "rclcpp"
  "trajectory_msgs"
)
ament_export_libraries(gazebo_ros_joint_pose_trajectory)
if(ENABLE_PROFILER)
  target_include_directories(gazebo_ros_joint_pose_trajectory PUBLIC ${ignition-common3_INCLUDE_DIRS})
  target_link_libraries(gazebo_ros_joint_pose_trajectory ${ignition-common3_LIBRARIES})
endif()

# gazebo_ros_planar_move
add_library(gazebo_ros_planar_move SHARED
  src/gazebo_ros_planar_move.cpp

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
find_package(cv_bridge REQUIRED)

option(ENABLE_DISPLAY_TESTS "Enable the building of tests that requires a display" OFF)

# Worlds
file(GLOB worlds RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "worlds/*.world")
foreach(world ${worlds})
  # Use configure_file so this is rerun each time make is invoked (as opposed to just cmake)
  configure_file(${world} ${world} COPYONLY)
endforeach()

# Tests
set(tests
  test_gazebo_ros_ackermann_drive
  test_gazebo_ros_bumper
  test_gazebo_ros_diff_drive
  test_gazebo_ros_elevator
  test_gazebo_ros_force
  test_gazebo_ros_ft_sensor
  test_gazebo_ros_hand_of_god
  test_gazebo_ros_harness
  test_gazebo_ros_imu_sensor
  test_gazebo_ros_gps_sensor
  test_gazebo_ros_joint_pose_trajectory
  test_gazebo_ros_joint_state_publisher
  test_gazebo_ros_p3d
  test_gazebo_ros_planar_move
  test_gazebo_ros_ray_sensor
  test_gazebo_ros_tricycle_drive
  test_gazebo_ros_vacuum_gripper
)

if(ENABLE_DISPLAY_TESTS)
set(tests ${tests}
  test_gazebo_ros_camera
  test_gazebo_ros_camera_distortion
  test_gazebo_ros_camera_triggered
  test_gazebo_ros_depth_camera
  test_gazebo_ros_multicamera
  test_gazebo_ros_projector
  test_gazebo_ros_video
)
endif()

foreach(test ${tests})
  ament_add_gtest(${test}
    ${test}.cpp
    WORKING_DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}
    # Long timeout because has to run gazebo several times
    TIMEOUT
      120
  )
  target_link_libraries(${test}
    gazebo_test_fixture
  )
  ament_target_dependencies(${test}
    "cv_bridge"
    "gazebo_dev"
    "gazebo_msgs"
    "gazebo_ros"
    "geometry_msgs"
    "image_transport"
    "nav_msgs"
    "rclcpp"
    "sensor_msgs"
    "std_msgs"
    "std_srvs"
    "tf2"
    "tf2_geometry_msgs"
    "tf2_ros"
    "trajectory_msgs"
  )
  if(ENABLE_PROFILER)
    target_include_directories(${test} PUBLIC ${ignition-common3_INCLUDE_DIRS})
    target_link_libraries(${test} ${ignition-common3_LIBRARIES})
  endif()
endforeach()

=== debian/changelog ===
ros-rolling-gazebo-plugins (3.5.2-4focal) focal; urgency=high

  * gazebo_ros_camera: Added accessor methods for camera properties (#1246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1246>)
    * Added accessor methods to gazebo_ros_camera for subclass access to camera properties.
    * Removed ros node accessor; no longer needed
    * Removed const return types and added vector include to header
    Co-authored-by: kbjeppes <mailto:kaden.b.jeppesen@nasa.gov>
  * Fix tests for cyclonedds (#1228 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1228>) The
    default RMW implementation changed recently and some tests are now failing.
    This fixes the tests.  * Use KeepLast(1) with transient_local in tests There
    are some QoS incompatibilities in some tests that use SystemDefaultsQoS, so
    this changes them to use KeepLast(1) with transient_local instead. This fixes
    some of the test failures but not all.  * test_sim_time: allow more startup
    messages * Fix QoS and initialization of joint state pub test
  * Make p3d offset element names singular (#1210 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1210>)
    * Make p3d offset element names singular
    - <xyz_offsets> is renamed to <xyz_offset>
    - <rpy_offsets> is renamed to <rpy_offsets>
    The old names can still be used, but are deprecated.
    This is more consistent with the naming convention used in ROS 1 versions.
    * Add test for deprecated functionality
  * Contributors: Jacob Perron, Steve Peters, kjeppesen1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Mar 2021 00:00:00 -0000

ros-rolling-gazebo-plugins (3.5.1-4focal) focal; urgency=high

  * colcon.pkg: build gazebo first in colcon workspace (#1192 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1192>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
    Signed-off-by: Steve Peters <mailto:scpeters@openrobotics.org>
  * Fixed Parameterized testing on Rolling (#1184 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1184>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * adding buffer to gzebo ros hand of god plugin (#1179 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1179>)
    Fixes #1178 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1178>.
  * [gazebo_plugins] address warnings (#1151 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1151>)
    * use .c_str() for variadic template
    * silence warnings
    Signed-off-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
    Signed-off-by: Steve Peters <mailto:scpeters@openrobotics.org>
  * Port wheel slip plugin to ros2 (forward port from eloquent) (#1148 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1148>)
    Forward port of wheel slip plugin from eloquent (#1099 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1099>)
    to foxy.
    It includes a similar change to #1111 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1111>, which moved the
    WheelSlipPlugin::Load call before the parameter callback
    so that the values from SDF/URDF are set first.
    Then the callback is changed to ignore negative values, and the
    default slip parameter values are set to -1, so that the SDF/URDF
    values are still preferred unless a different parameter value
    is specified in a launch file.
    Signed-off-by: Steve Peters <scpeters@openrobotics.org>
  * Added ignition common profiler to ros2 (#1141 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1141>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, Karsten Knese, Steve Macenski, Steve Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Nov 2020 00:00:00 -0000

ros-rolling-gazebo-plugins (3.5.0-4focal) focal; urgency=high

  * Merge pull request #1130 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1130> from ros-simulation/foxy_tests
    Fix all Foxy tests
  * Merge pull request #1129 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1129> from ros-simulation/e_to_f_june_2020
    Eloquent ➡️ Foxy
  * Apply acceleration until both left and right reach targetspeed (#1009 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1009>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * use target include directories (#1040 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1040>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Dashing -> Eloquent
  * [forward port] Image publishers use SensorDataQoSProfile (#1031 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1031>) (#1052 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1052>)
    All other sensor publishers were updated previously to use the same profile (#926 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/926>).
    I'm not sure if the image publishers were overlooked or the image_transport API didn't
    support setting the QoS profile at the time.
  * Fix cppcheck errors (#1123 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1123>)
    cppcheck 1.90 complains about syntax errors even though it is valid C++ code.
    This refactoring fixes the reported errors.
  * Replace deprecated parameters callback API (#1121 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1121>)
    rclcpp::Node now supports multiple parameter callbacks, so we do not need to worry about overwriting an existing callback.
    This change fixes compile time deprecation warnings since ROS Foxy.
  * Replace deprecated image_common headers (#1122 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1122>)


=== debian/control ===
Source: ros-rolling-gazebo-plugins
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-camera-info-manager, ros-rolling-cv-bridge, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-gazebo-ros, ros-rolling-geometry-msgs, ros-rolling-image-transport, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-rolling-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-camera-info-manager, ros-rolling-cv-bridge, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-gazebo-ros, ros-rolling-geometry-msgs, ros-rolling-image-transport, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Description: Robot-independent Gazebo plugins for sensors, motors and dynamic reconfigurable components.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-gazebo-plugins//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-gazebo-plugins 3.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   # we dont use add_compile_options with pedantic in message packages
   # because the Python C extensions dont comply with it
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic -Wno-inconsistent-missing-override")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
 endif()
 
 if(WIN32)
@@ -186,6 +186,7 @@
 ament_target_dependencies(gazebo_ros_gps_sensor
   "gazebo_ros"
   "sensor_msgs"
+  "geometry_msgs"
   "gazebo_dev"
 )
 ament_export_libraries(gazebo_ros_gps_sensor)
@@ -414,3 +415,4 @@
 # gazebo_ros_planar_move
 add_library(gazebo_ros_planar_move SHARED
   src/gazebo_ros_planar_move.cpp
+)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 option(ENABLE_DISPLAY_TESTS "Enable the building of tests that requires a display" OFF)
 
 # Worlds
-file(GLOB worlds RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "worlds/*.world")
+file(GLOB_RECURSE worlds RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "worlds/*.world")
 foreach(world ${worlds})
   # Use configure_file so this is rerun each time make is invoked (as opposed to just cmake)
   configure_file(${world} ${world} COPYONLY)
@@ -29,6 +29,7 @@
   test_gazebo_ros_ray_sensor
   test_gazebo_ros_tricycle_drive
   test_gazebo_ros_vacuum_gripper
+  test_gazebo_ros_wheelslip
 )
 
 if(ENABLE_DISPLAY_TESTS)

=== debian/changelog ===
ros-rolling-gazebo-plugins (3.7.0-2jammy) jammy; urgency=high

  * Add friction coefficient parameters (#1393 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1393>)
  * GPS sensor plugin publishing velocity (#1371 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1371>) (#1387 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1387>)
  * Contributors: Jacob Perron, Jenn Nguyen, Marcel Dudek

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 13 Jun 2022 07:00:00 -0000

ros-rolling-gazebo-plugins (3.6.0-2jammy) jammy; urgency=high

  * Initialize wheel slip parameters directly from SDF (#1365 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1365>)
  * Fix test failures (#1380 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1380>)
  * gazebo_ros_ft_sensor_demo.world: use world solver (#1354 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1354>)
  * gazebo_ros_wheel_slip: set lateral slip to zero at low speed (#1338 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1338>)
  * gazebo_ros_wheel_slip: publish wheel slip (#1331 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1331>)
  * Add slip values for individual wheels (#1312 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1312>)
  * Default slip values fix for wheel slip plugin (#1308 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1308>)
  * Add runtime warning when user sets use_sim_time parameter
  * Fix warnings when building against the latest sources (#1282 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1282>)
  * Add method to get ROS node from GazeboRosCameraPlugin (#1299 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1299>)
  * Improve robustness of joint state publisher test (#1259 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1259>)
  * Avoid rejecting QoS overrides parameters (#1258 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1258>)
  * Publish with QoS reliable as default (#1224 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1224>) (#1235 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1235>)
  * Contributors: Aditya Pande, Audrow Nash, Brett Downing, Chris Lalancette, Daisuke Nishimatsu, Dharini Dutia, Jacob Perron, Steve Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 10 May 2022 07:00:00 -0000

ros-rolling-gazebo-plugins (3.5.2-2jammy) jammy; urgency=high

  * gazebo_ros_camera: Added accessor methods for camera properties (#1246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1246>)
    * Added accessor methods to gazebo_ros_camera for subclass access to camera properties.
    * Removed ros node accessor; no longer needed
    * Removed const return types and added vector include to header
    Co-authored-by: kbjeppes <mailto:kaden.b.jeppesen@nasa.gov>
  * Fix tests for cyclonedds (#1228 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1228>) The
    default RMW implementation changed recently and some tests are now failing.
    This fixes the tests.  * Use KeepLast(1) with transient_local in tests There
    are some QoS incompatibilities in some tests that use SystemDefaultsQoS, so
    this changes them to use KeepLast(1) with transient_local instead. This fixes
    some of the test failures but not all.  * test_sim_time: allow more startup
    messages * Fix QoS and initialization of joint state pub test
  * Make p3d offset element names singular (#1210 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1210>)
    * Make p3d offset element names singular
    - <xyz_offsets> is renamed to <xyz_offset>
    - <rpy_offsets> is renamed to <rpy_offsets>
    The old names can still be used, but are deprecated.
    This is more consistent with the naming convention used in ROS 1 versions.
    * Add test for deprecated functionality
  * Contributors: Jacob Perron, Steve Peters, kjeppesen1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Mar 2021 07:00:00 -0000

ros-rolling-gazebo-plugins (3.5.1-2jammy) jammy; urgency=high

  * colcon.pkg: build gazebo first in colcon workspace (#1192 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1192>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
    Signed-off-by: Steve Peters <mailto:scpeters@openrobotics.org>
  * Fixed Parameterized testing on Rolling (#1184 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1184>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * adding buffer to gzebo ros hand of god plugin (#1179 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1179>)
    Fixes #1178 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1178>.
  * [gazebo_plugins] address warnings (#1151 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1151>)
    * use .c_str() for variadic template
    * silence warnings
    Signed-off-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
    Signed-off-by: Steve Peters <mailto:scpeters@openrobotics.org>
  * Port wheel slip plugin to ros2 (forward port from eloquent) (#1148 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1148>)
    Forward port of wheel slip plugin from eloquent (#1099 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1099>)
    to foxy.
    It includes a similar change to #1111 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1111>, which moved the
    WheelSlipPlugin::Load call before the parameter callback
    so that the values from SDF/URDF are set first.
    Then the callback is changed to ignore negative values, and the
    default slip parameter values are set to -1, so that the SDF/URDF


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-camera-info-manager, ros-rolling-cv-bridge, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-gazebo-ros, ros-rolling-geometry-msgs, ros-rolling-image-transport, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-camera-info-manager, ros-rolling-cv-bridge, ros-rolling-cv-bridge <!nocheck>, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-gazebo-ros, ros-rolling-geometry-msgs, ros-rolling-image-transport, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
 Homepage: http://gazebosim.org/tutorials?cat=connect_ros
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
